require 'test_helper'

module Vulgata
  class TeamControllerTest < ActionDispatch::IntegrationTest
    include Engine.routes.url_helpers
    setup do
      login_as create(:johnny_the_admin)
      @routes = Engine.routes
    end

    test "should get index" do
      get team_path
      assert_response :success
    end

    test "should get show" do
      sam_the_translator = create(:sam_the_translator)
      get vulgata_user_path(user_id: sam_the_translator.id, user_type: sam_the_translator.class.name)
      assert_response :success
    end

    test "should update locales" do
      sam_the_translator = create(:sam_the_translator)
      patch vulgata_user_path(user_id: sam_the_translator.id, user_type: sam_the_translator.class.name, locales: [:en, :he])
      assert_redirected_to vulgata_user_path(user: sam_the_translator)

      sam_the_translator.reload
      assert_includes sam_the_translator.vulgata_locales, :en
      assert_includes sam_the_translator.vulgata_locales, :he
    end
  end
end
