class CreatePosts < ActiveRecord::Migration
  def change
    create_table :posts do |t|
      t.references :user
      t.references :category
      t.timestamps null: false
    end

    reversible do |dir|
      dir.up do
        Post.create_translation_table! title: :string, body: :string
      end

      dir.down do
        Post.drop_translation_table!
      end
    end
  end
end
