# encoding: UTF-8
# This file is auto-generated from the current state of the database. Instead
# of editing this file, please use the migrations feature of Active Record to
# incrementally modify your database, and then regenerate this schema definition.
#
# Note that this schema.rb definition is the authoritative source for your
# database schema. If you need to create the application database on another
# system, you should be using db:schema:load, not running all the migrations
# from scratch. The latter is a flawed and unsustainable approach (the more migrations
# you'll amass, the slower it'll run and the greater likelihood for issues).
#
# It's strongly recommended that you check this file into your version control system.

ActiveRecord::Schema.define(version: 20170506144446) do

  create_table "categories", force: :cascade do |t|
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
  end

  create_table "category_translations", force: :cascade do |t|
    t.integer  "category_id", null: false
    t.string   "locale",      null: false
    t.datetime "created_at",  null: false
    t.datetime "updated_at",  null: false
    t.string   "name"
  end

  add_index "category_translations", ["category_id"], name: "index_category_translations_on_category_id"
  add_index "category_translations", ["locale"], name: "index_category_translations_on_locale"

  create_table "comment_translations", force: :cascade do |t|
    t.integer  "comment_id", null: false
    t.string   "locale",     null: false
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.string   "body"
  end

  add_index "comment_translations", ["comment_id"], name: "index_comment_translations_on_comment_id"
  add_index "comment_translations", ["locale"], name: "index_comment_translations_on_locale"

  create_table "comments", force: :cascade do |t|
    t.integer  "user_id"
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
  end

  create_table "post_translations", force: :cascade do |t|
    t.integer  "post_id",    null: false
    t.string   "locale",     null: false
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.string   "title"
    t.string   "body"
  end

  add_index "post_translations", ["locale"], name: "index_post_translations_on_locale"
  add_index "post_translations", ["post_id"], name: "index_post_translations_on_post_id"

  create_table "posts", force: :cascade do |t|
    t.integer  "user_id"
    t.integer  "category_id"
    t.datetime "created_at",  null: false
    t.datetime "updated_at",  null: false
  end

  create_table "users", force: :cascade do |t|
    t.string "email"
    t.string "first_name"
    t.string "last_name"
  end

  create_table "vulgata_i18n_translations", force: :cascade do |t|
    t.string   "locale"
    t.text     "key"
    t.text     "value"
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
  end

  create_table "vulgata_translation_state_versions", force: :cascade do |t|
    t.integer  "vulgata_translation_state_id"
    t.integer  "user_id"
    t.string   "user_type"
    t.integer  "status"
    t.integer  "priority"
    t.text     "translation_data"
    t.integer  "word_count"
    t.text     "comment"
    t.datetime "created_at"
  end

  add_index "vulgata_translation_state_versions", ["vulgata_translation_state_id"], name: "vulgata_state_versions_on_state_id"

  create_table "vulgata_translation_states", force: :cascade do |t|
    t.string   "item_type"
    t.integer  "item_id"
    t.integer  "status"
    t.integer  "user_id"
    t.string   "user_type"
    t.string   "locale"
    t.integer  "priority"
    t.boolean  "locked"
    t.text     "comment"
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
  end

  add_index "vulgata_translation_states", ["item_id", "item_type"], name: "index_vulgata_translation_states_on_item_id_and_item_type"

  create_table "vulgata_user_locales", force: :cascade do |t|
    t.integer  "user_id"
    t.string   "user_type"
    t.string   "locale"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  add_index "vulgata_user_locales", ["user_id", "user_type"], name: "index_vulgata_user_locales_on_user_id_and_user_type"

  create_table "vulgata_user_roles", force: :cascade do |t|
    t.integer  "user_id"
    t.string   "user_type"
    t.integer  "role"
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
  end

  add_index "vulgata_user_roles", ["user_id", "user_type"], name: "index_vulgata_user_roles_on_user_id_and_user_type"

end
