FactoryGirl.define do

  factory :user do

    factory :user_with_no_role do
      email "jsg@gmail.com"
      first_name "Just"
      last_name "Someguy"
    end

    factory :translator do

      vulgata_role :translator

      factory :sam_the_translator do
        email "sam@gmail.com"
        first_name "Sam"
        last_name "Willis"
        vulgata_locales [:en, :"zh-CN"]
      end

      factory :bob_the_translator do
        email "bob@gmail.com"
        first_name "Bob"
        last_name "Sapp"
        vulgata_locales [:en, :de]
      end

      factory :avi_the_translator do
        email "avi@gmail.com"
        first_name "Avi"
        last_name "Cohen"
      end

    end

    factory :proofreader do

      vulgata_role :proofreader

      factory :michael_the_proofreader do
        email "michael@gmail.com"
        first_name "Michael"
        last_name "Johnson"
        vulgata_locales [:en, :de]
      end

      factory :amy_the_proofreader do
        email "amy@gmail.com"
        first_name "Amy"
        last_name "Zhang"
      end

    end

    factory :admin do
      vulgata_role :admin

      factory :johnny_the_admin do
        email "johnny@gmail.com"
        first_name "Johnny"
        last_name "Smith"
      end
    end

  end

  factory :post do
    factory :not_translated_post do
      title_en "My first post"
      body_en "I love Hummus"
    end

    factory :translated_post do
      title_en "My first post"
      body_en "I love Hummus"

      title_de "Mein erster Blogpost"
      body_de "Ich liebe Hummus"
    end
  end


end