# Configure Rails Environment
ENV["RAILS_ENV"] = "test"

require File.expand_path("../../test/dummy/config/environment.rb",  __FILE__)
ActiveRecord::Migrator.migrations_paths = [File.expand_path("../../test/dummy/db/migrate", __FILE__)]
ActiveRecord::Migrator.migrations_paths << File.expand_path('../../db/migrate', __FILE__)
require "rails/test_help"

# Filter out Minitest backtrace while allowing backtrace from other libraries
# to be shown.
Minitest.backtrace_filter = Minitest::BacktraceFilter.new

# Load support files
Dir["#{File.dirname(__FILE__)}/support/**/*.rb"].each { |f| require f }

# Load fixtures from the engine
if ActiveSupport::TestCase.respond_to?(:fixture_path=)
  ActiveSupport::TestCase.fixture_path = File.expand_path("../fixtures", __FILE__)
  ActionDispatch::IntegrationTest.fixture_path = ActiveSupport::TestCase.fixture_path
  ActiveSupport::TestCase.fixtures :all
end

def main_app
  Rails.application.class.routes.url_helpers
end

require "database_cleaner"
require "minitest/rails/capybara"
require 'selenium/webdriver'

require "factories"

class ActiveSupport::TestCase
  include FactoryGirl::Syntax::Methods
  include Vulgata::Engine.routes.url_helpers
end

DatabaseCleaner.strategy = :truncation

# Capybara.javascript_driver = :chrome
# Capybara.default_driver = :selenium

def translation_state_by_locale item, locale
  item.translation_states.find { |ts| ts.locale == locale.to_s }
end

def login_as(user)
  User.current_user = user
end
