require 'test_helper'
module Vulgata
  class VulgatifyTest < ActiveSupport::TestCase
    setup do
      Vulgata.reset
    end

    def test_a_post_has_dynamic_priority
      assert_equal 6, Post.new.vulgata_priority
    end

    def test_a_comment_has_class_priority
      assert_equal 5, Comment.new.vulgata_priority
    end

    def test_a_category_has_default_priority
      assert_equal 10, Category.new.vulgata_priority
    end

    def test_a_category_has_default_priority
      category = Category.new(name: 'Food')
      category.vulgata_priority = 100
      category.save
      category.translation_states.where.not(status: Vulgata::TranslationState.statuses[:source]).each do |state|
        assert_equal 100, state.priority
      end
    end

    def test_deafult_strategy
      assert_equal Strategies::Globalize, Post.new.vlg_strategy
    end
  end
end
